Bug 16034 - mysql rpm doesn't update ld.so.cache
Summary: mysql rpm doesn't update ld.so.cache
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mysql   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Patrick Macdonald
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-11 21:58 UTC by Jeremy Katz
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-13 15:59:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeremy Katz 2000-08-11 21:58:53 UTC
The %post of the mysql rpm runs `/sbin/ldconfig -n /usr/lib/mysql` which
doesn't regenerate /etc/ld.so.cache making it so that libmysqlclient.so
can't be found by apache if you do an install of all of the apache, php,
and mysql
rpms after initial install until you manually run ldconfig to update the
cache.

Comment 1 Trond Eivind Glomsrxd 2000-08-13 15:59:06 UTC
Bah. Is there a way to make it update the cache and not go through all of the
directories?
Well, I guess I'll just remove the -n.

Comment 2 Trond Eivind Glomsrxd 2000-08-13 19:48:19 UTC
Fixed.


Note You need to log in before you can comment on or make changes to this bug.